## python-django 1.4.3

=== debian/changelog ===
python-django (1.4.3-1) unstable; urgency=high

  * New upstream security and maintenance release. Closes: #696535
    https://www.djangoproject.com/weblog/2012/dec/10/security/
  * Drop debian/patches/01_fix-self-tests.diff, merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 26 Dec 2012 15:49:32 +0100

python-django (1.4.2-2) unstable; urgency=low

  * Don't fail self-tests if MANAGERS or ADMINS is defined in settings.py.
    Add upstream patch debian/patches/01_fix-self-tests.diff.
    Thanks to Jamie Strandboge <jamie@ubuntu.com> for the report.
    Closes: #693752 LP: #1080204

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 20 Nov 2012 08:28:37 +0100

python-django (1.4.2-1) unstable; urgency=high

  * New upstream security and maintenance release. Closes: #691145
    Fixes: CVE-2012-4520
  * Drop 01_use_stdlib_htmlparser_when_possible.diff which has been
    merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Oct 2012 10:53:30 +0200
