## python-django 1.4.5

=== debian/changelog ===
python-django (1.4.5-1ubuntu0.1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 24 Sep 2013 21:26:14 -0700

python-django (1.4.5-1ubuntu0.1) raring-security; urgency=low

  * SECURITY UPDATE: denial of service via long passwords (LP: #1225784)
    - debian/patches/CVE-2013-1443.patch: enforce a maximum password length
      in django/contrib/auth/forms.py, django/contrib/auth/hashers.py,
      django/contrib/auth/tests/hashers.py.
    - CVE-2013-1443
  * SECURITY UPDATE: directory traversal with ssi template tag
    - debian/patches/CVE-2013-4315.patch: properly check absolute path in
      django/template/defaulttags.py,
      tests/regressiontests/templates/tests.py.
    - CVE-2013-4315
  * SECURITY UPDATE: possible XSS via is_safe_url
    - debian/patches/security-is_safe_url.patch: properly reject URLs which
      specify a scheme other then HTTP or HTTPS.
    - https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - No CVE number
  * debian/patches/fix-validation-tests.patch: fix regression in tests
    since example.com is now available via https.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2013 08:48:09 -0400

python-django (1.4.5-1) unstable; urgency=high

  * New upstream maintenance release dropping some undesired .pyc files
    and fixing a documentation link.
  * High urgency due to former security updates.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 24 Feb 2013 10:28:08 +0100

python-django (1.4.4-1) unstable; urgency=low

  * New upstream security and maintenance release. Closes: #701186 
    https://www.djangoproject.com/weblog/2013/feb/19/security/
    Fixes mulptiple security issues:
    - Further fixes for Host header poisoning. CVE-2012-4520
    - XML attacks via entity expansion. CVE-2013-1665
    - Data leakage via admin history log. CVE-2013-0305
    - Formset denial-of-service. CVE-2013-0306
  * Add gettext to Suggests since it's required for django-admin
    compilemessages / makemessages. Closes: #700483

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 23 Feb 2013 09:33:13 +0100
