## python-django 1.4.22

=== extras/Makefile ===
all: sdist

sdist:
	python setup.py sdist

.PHONY : sdist
