=== debian/changelog ===
python-django (1.4.22-1+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-7536: Denial-of-service possibility in ``urlize`` and
    ``urlizetrunc`` template filters
  * Fix CVE-2018-7537: Denial-of-service possibility in ``truncatechars_html``
    and ``truncatewords_html`` template filters

 -- Brian May <bam@debian.org>  Wed, 07 Mar 2018 17:01:54 +1100

python-django (1.4.22-1+deb7u3) wheezy-security; urgency=high

  * CVE-2017-7233: Open redirect and possible XSS attack via user-supplied
    numeric redirect URLs.

    Django relies on user input in some cases (e.g.
    django.contrib.auth.views.login() and i18n) to redirect the user to an
    "on success" URL. The security check for these redirects (namely
    django.utils.http.is_safe_url()) considered some numeric URLs (e.g.
    http:999999999) "safe" when they shouldn't be.

    Also, if a developer relies on is_safe_url() to provide safe redirect
    targets and puts such a URL into a link, they could suffer from an XSS
    attack. (Closes: #859515)

  * CVE-2017-7234: Open redirect vulnerability in django.views.static.serve().

    A maliciously crafted URL to a Django site using the
    django.views.static.serve() view could redirect to any other domain. The
    view no longer does any redirects as they don't provide any known,
    useful functionality.

    Note, however, that this view has always carried a warning that it is
    not hardened for production use and should be used only as a development
    aid. Thanks Phithon Gong for reporting this issue. (Closes: #859516)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Apr 2017 10:34:27 +0200

python-django (1.4.22-1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2016-9014: DNS rebinding vulnerability when DEBUG=True.
    Attacker could attack services listening on localhost.
 
 -- Brian May <bam@debian.org>  Thu, 03 Nov 2016 18:08:17 +1100

python-django (1.4.22-1+deb7u1) wheezy-security; urgency=high

  * CVE-2016-7401: CSRF protection bypass on a site with Google Analytics.

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 21:16:29 +0100

python-django (1.4.22-1) wheezy-security; urgency=medium

  * Update wheezy to latest version in 1.4.x series.
  * Remove numerous security fixes that were applied upstream.

 -- Brian May <bam@debian.org>  Wed, 03 Aug 2016 18:08:22 +1000

python-django (1.4.5-1+deb7u16) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add missing harden_runtime method for BCryptPasswordHasher

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Mar 2016 14:12:46 +0100

python-django (1.4.5-1+deb7u15) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-2512: Prevented spoofing is_safe_url() with basic auth.
    Malicious redirect and possible XSS attack via user-supplied redirect
    URLs containing basic auth. (Closes: #816434)
  * is_safe_url() crashes with a byestring URL on Python 2.
    Fixes a regression introduced by the original fix for CVE-2016-2512.
  * CVE-2016-2513: Fixed user enumeration timing attack during login
    (Closes: #816434)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 13 Mar 2016 07:18:04 +0100

python-django (1.4.5-1+deb7u14) wheezy-security; urgency=high

  * New upstream security release:
    - Settings leak possibility in ``date`` template filter (CVE-2015-8213)

 -- Luke Faraone <lfaraone@debian.org>  Sun, 22 Nov 2015 19:29:16 +0000

python-django (1.4.5-1+deb7u13) wheezy-security; urgency=medium

  * New upstream security release:
    - Possible denial-of-service via logout() (CVE-2015-5963)

 -- Luke Faraone <lfaraone@debian.org>  Tue, 18 Aug 2015 04:34:37 +0000

python-django (1.4.5-1+deb7u12) wheezy-security; urgency=high

  * New upstream security release:
    - Possible denial-of-service via session store (CVE-2015-5143)
    - Possible email header injection via newlines (CVE-2015-5144)

 -- Luke Faraone <lfaraone@debian.org>  Tue, 07 Jul 2015 05:31:32 +0000

python-django (1.4.5-1+deb7u11) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * No change rebuild. Brings back missing jquery symlinks. 

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Mar 2015 19:37:38 +0100

python-django (1.4.5-1+deb7u10) wheezy-security; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/mar/18/security-releases/
    - Possible XSS attack via user-supplied redirect URLs (CVE-2015-2317)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 19 Mar 2015 05:14:59 +0000

python-django (1.4.5-1+deb7u9) wheezy-security; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/jan/13/security/
    - WSGI header spoofing via underscore/dash conflation (CVE-2015-0219)
    - Possible XSS attack via user-supplied redirect URLs (CVE-2015-0220)
    - Denial-of-service attack against django.views.static.serve
      (CVE-2015-0221)
    Closes: #775375
  * Also include a fix for a regression introduced by the patch for
    CVE-2015-0221: https://code.djangoproject.com/ticket/24158

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 28 Jan 2015 10:24:59 +0100

python-django (1.4.5-1+deb7u8) wheezy-security; urgency=high

  * New upstream security release.
    - reverse() can generate URLs pointing to other hosts (CVE-2014-0480)
    - file upload denial of service (CVE-2014-0481)
    - RemoteUserMiddleware session hijacking (CVE-2014-0482)
    - data leakage via querystring manipulation in admin (CVE-2014-0483)   

 -- Luke Faraone <lfaraone@debian.org>  Wed, 20 Aug 2014 01:46:17 -0700

python-django (1.4.5-1+deb7u7) stable-security; urgency=high

  * New upstream security release.
    https://www.djangoproject.com/weblog/2014/may/14/security-releases-issued/
    - Caches may be allowed to store and serve private data (CVE-2014-1418)

