## python-django 1.5.4

=== debian/changelog ===
python-django (1.5.4-1ubuntu1) saucy; urgency=low

  * Pull patch from git to isolate a DB test in testsuite (LP: #1231923)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Sep 2013 04:51:31 -0600

python-django (1.5.4-1) unstable; urgency=high

  * New upstream security release. Fixes CVE-2013-1443. Closes: #723043.
    https://www.djangoproject.com/weblog/2013/sep/15/security/
    - Denial-of-service via large passwords. CVE-2013-1443

 -- Luke Faraone <lfaraone@debian.org>  Sun, 15 Sep 2013 15:50:10 -0400

python-django (1.5.3-1) unstable; urgency=high

  * New upstream security release. Fixes CVE-2013-4315. Closes: #722605
    https://www.djangoproject.com/weblog/2013/sep/10/security-releases-issued/
    - Directory traversal with ssi template tag
  * Update doc-base file to drop some removed directory in the HTML doc.
  * Update Standards-Version to 3.9.4.
  * Bump debhelper compat level to 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 13 Sep 2013 00:05:19 +0200

python-django (1.5.2-1) unstable; urgency=high

  * New upstream security release.
    https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - Cross-site scripting (XSS) in admin interface
    - Possible XSS via is_safe_url

 -- Luke Faraone <lfaraone@debian.org>  Tue, 13 Aug 2013 16:49:39 -0400

python-django (1.5.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Luke Faraone ]
  * Upload to unstable.

 -- Luke Faraone <lfaraone@debian.org>  Thu, 09 May 2013 15:10:47 -0400

python-django (1.5.1-1) experimental; urgency=low

  * New upstream release.
  * Add self to uploaders field.

 -- Luke Faraone <lfaraone@debian.org>  Thu, 28 Mar 2013 17:17:10 -0400

python-django (1.5-1) experimental; urgency=low

  * New upstream release. Closes: #646634, #663230, #436983

 -- Luke Faraone <lfaraone@debian.org>  Fri, 22 Mar 2013 17:52:30 -0400
