## python-django 1.6.6

=== debian/changelog ===
python-django (1.6.6-1tanglu1.2) bartholomea-updates; urgency=medium

  * No-change merge from Ubuntu utopic for Tanglu because of security issue DSA 3305-1

 -- Thomas Funk <t.funk@web.de>  Sat, 11 Jul 2015 23:12:40 +0200

python-django (1.6.6-1ubuntu2.3) utopic-security; urgency=medium

  * SECURITY UPDATE: denial of service via empty session records
    - debian/patches/CVE-2015-5143.patch: avoid creating a session record
      when loading the session in
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      added test to django/contrib/sessions/tests.py.
    - CVE-2015-5143
  * SECURITY UPDATE: header injection via newlines
    - debian/patches/CVE-2015-5144.patch: check for newlines in
      django/core/validators.py, added tests to tests/validators/tests.py.
    - CVE-2015-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2015 11:06:40 -0400

python-django (1.6.6-1ubuntu2.2) utopic-security; urgency=medium

  * SECURITY UPDATE: denial-of-service possibility with strip_tags
    - debian/patches/CVE-2015-2316.patch: fix infinite loop possibility
      in django/utils/html.py, added test to
      tests/utils_tests/test_html.py.
    - CVE-2015-2316
  * SECURITY UPDATE: XSS attack via user-supplied redirect URLs
    - debian/patches/CVE-2015-2317.patch: reject URLs that start with
      control characters in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2015-2317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 10:22:16 -0400

python-django (1.6.6-1ubuntu2.1) utopic-security; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added blurb to
      docs/howto/auth-remote-user.txt, added test to
      tests/servers/test_basehttp.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve
    - debian/patches/CVE-2015-0221.patch: limit large files in
      django/views/static.py, added test to
      tests/view_tests/media/long-line.txt,
      tests/view_tests/tests/test_static.py.
    - CVE-2015-0221
  * SECURITY UPDATE: Database denial-of-service with
    ModelMultipleChoiceField
    - debian/patches/CVE-2015-0222.patch: check values in
      django/forms/models.py, added test to tests/model_forms/tests.py.
    - CVE-2015-0222

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Jan 2015 07:32:43 -0500

python-django (1.6.6-1ubuntu2) utopic; urgency=medium

  * debian/patches/fix_test_encoding.patch: Fix test encoding headers,
    otherwise it FTBFS.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Sep 2014 19:01:13 -0500

python-django (1.6.6-1ubuntu1) utopic; urgency=medium

  * debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
    Fix Multipart base64 file decoding with large files ensuring that the
    actual base64 content has a length a multiple of 4. (LP: #1363348)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Sep 2014 17:37:57 -0500

python-django (1.6.6-1) unstable; urgency=high

  * New upstream security release.
    - reverse() can generate URLs pointing to other hosts (CVE-2014-0480)
    - file upload denial of service (CVE-2014-0481)
    - RemoteUserMiddleware session hijacking (CVE-2014-0482)
    - data leakage via querystring manipulation in admin (CVE-2014-0483)

  [ Brian May ]
  * Don't output stuff to stdout in django-admin. Closes: #757145

  [ Raphaël Hertzog ]
  * Update Vcs-* fields since the packaging repository moved to git.

 -- Luke Faraone <lfaraone@debian.org>  Wed, 20 Aug 2014 19:30:21 -0700

python-django (1.6.5-3) unstable; urgency=low

  * Replace django-admin with script that can be run as python and shell.

    This means we can autodetect which python version to use when run as
    shell, while maintaining compatability with processes that try to run it
    with a specific python version.

    e.g. See bugs #755341 and #755321.

 -- Brian May <bam@debian.org>  Mon, 21 Jul 2014 10:18:39 +1000

python-django (1.6.5-2) unstable; urgency=low

  * python3-django package. Closes: #736878.

 -- Brian May <bam@debian.org>  Tue, 24 Jun 2014 10:51:47 +1000

python-django (1.6.5-1) unstable; urgency=high

  * New upstream security release.
   - Caches may be allowed to store and serve private data (CVE-2014-1418)
   - Malformed URLs from user input incorrectly validated
  * Drop partial_functions_reverse.patch (merged upstream).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 May 2014 22:49:59 +0200

python-django (1.6.3-2) unstable; urgency=high

  * Fix regression of reverse() and partial views. (LP: #1311433)
    Thanks Preston Timmons.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 22 Apr 2014 20:44:18 -0700

python-django (1.6.3-1) unstable; urgency=high

  * New upstream security release.
    - Unexpected code execution using ``reverse()``
    - CVE-2014-0472
    - Caching of anonymous pages could reveal CSRF token
    - CVE-2014-0473
    - MySQL typecasting could result in unexpected matches
    - CVE-2014-0474
  * Drop patches 07_translation_encoding_fix and ticket21869.diff; merged
    upstream

 -- Luke Faraone <lfaraone@debian.org>  Mon, 21 Apr 2014 16:47:14 -0700
